# Uses of Class
org.eclipse.jface.text.TextAttribute

Packages that use TextAttribute
Package
Description
org.eclipse.jface.text.rules
Provides a framework for rule based text scanning and uses the framework to provide rule-driven default implementations of `IPresentationDamager`, `IPresentationRepairer` and `IDocumentPartitioner`.

## Uses of TextAttribute in org.eclipse.jface.text.rules

Fields in org.eclipse.jface.text.rules declared as TextAttribute
Modifier and Type
Field
Description
`protected TextAttribute`
DefaultDamagerRepairer.`fDefaultTextAttribute`
The default text attribute if non is returned as data by the current token
Methods in org.eclipse.jface.text.rules that return TextAttribute
Modifier and Type
Method
Description
`protected TextAttribute`
DefaultDamagerRepairer.`getTokenTextAttribute(IToken token)`
Returns a text attribute encoded in the given token.
Methods in org.eclipse.jface.text.rules with parameters of type TextAttribute
Modifier and Type
Method
Description
`protected void`
DefaultDamagerRepairer.`addRange(TextPresentation presentation, int offset, int length, TextAttribute attr)`
Adds style information to the given text presentation.
Constructors in org.eclipse.jface.text.rules with parameters of type TextAttribute
Modifier
Constructor
Description
``
`DefaultDamagerRepairer(ITokenScanner scanner, TextAttribute defaultTextAttribute)`
Deprecated.
use DefaultDamagerRepairer(ITokenScanner) instead
``
`RuleBasedDamagerRepairer(RuleBasedScanner scanner, TextAttribute defaultTextAttribute)`
Deprecated, for removal: This API element is subject to removal in a future version.
use RuleBasedDamagerRepairer(RuleBasedScanner) instead